Subject: [PATCH core-updates] build-system/qt: Fix build failures when

From: Maxime Devos <[email-masked]>
Date: Tue, 06 Jul 2021 13:25:50 +0200

Hi guix,

From the commit message:

‘One of the features of 'qt-build-system' is that it automatically
creates wrappers, but it needs 'bash' (or 'bash-minimal') to do
so.  If "bin/bash" doesn't exist among the 'inputs', then
'search-input-file' (used by 'wrap-all-programs') will raise an
exception.  Address this exception by adding "bash-minimal" to
'host-inputs' when cross-compiling.

This change does not impact native compilation; the derivations
for natively-compiled packages remain identical.’

I am unable to test this at the moment (too little substitutes
for core-updates, too little processing power locally ...), but
I intent to do so later.

Greetings,
Maxime/